AOZ Studio Beta - Bug #891

Move y <sprite/bob num> & Move on jittery and slooow in Beta 12
03/13/2022 09:12 AM - malcolm harvey

Status: Closed Start date: 03/13/2022
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B12) u19

Description

Moving Sprites or Bobs with animation say down and up in version Beta 11 moved consistently fast and non jittery each time you run

it either in preview or fullscreen.

In Beta 12, it is very slooow and jittery movement and randomly you run it, it can be sometimes worse.

Again was smooth as silk this same routine and attached in Beta 11.

#manifest:"aoz"
#splashScreen:false
#googleFont:"baloo”
#speed:"fair"
#useAssetsResources:true

load asset "charscreen.png",2 /Nload in gfxscreen cover bob 10
screen 0

start:

sprite 2,160,100,2

Move y 2,"(1,5,45)(1,-5,45)I" : Move on
wait vbl

wait key

goto start

History

#1 - 03/13/2022 09:31 AM - malcolm harvey
Also note, change the values 45 to say 20 to test, Move y 2,"(1,5,45)(1,-5,45)I" : Move on

#2 - 05/23/2022 10:28 AM - malcolm harvey

- Status changed from New to Closed

This was to do with the viewer speed, which was now corrected and sped up by francois as much as possible.
Possibly the animation in tree in ide can be removed for further speed of objects etc.

Basically, francois said that, he has increased currently anyways, 30fps in viewer to 45, full screen browser 60.
